# AO2XP

This is an alternative Attorney Online 2 client, developed in Python 2.7, specifically made for older computers running Windows XP that cannot run the latest version of the AO2 client. It should also work on Linux and later versions of Windows.

Run `quicksetup.py` to install the required libraries and then `AO2XP.py` to launch the client.

Originally by Headshot#7237 and currently maintained by cidoku.

## Features
Features added since the last commit of [Headshot's AO2XP](https://github.com/headshot2017/AO2XP):
- Incoming message queue
- Persistent private evidence
- Exporting/importing evidence to/from a file
- Slide animations
- Player and area lists
- Search boxes on music list and character select
- Join a server automatically on launch
- Pick a character and join an area automatically on join
- Demo recording and playback with a seekbar, no need to send messages to OOC
- Pair with players directly from the player list
- Playing music over HTTPS (on systems where the BASS library can't do it on its own)
- FLAC music support
- MIDI music support (needs a soundfount file named `gm.sf2` in the root AO2XP directory)
- Module music support (MOD, XM, IT, S3M)
- Unicode support everywhere
